digiKam Developer Documentation: Digikam::ImageGuideWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::ImageGuideWidget Class Reference
Inheritance diagram for Digikam::ImageGuideWidget:

## Public Types
enum | ColorPointSrc { OriginalImage = 0 , PreviewImage , TargetPreviewImage }
enum | GuideToolMode { HVGuideMode = 0 , PickColorMode }

## Public Slots
void | slotChangeGuideColor (const QColor &color)
void | slotChangeGuideSize (int size)
void | slotPreviewModeChanged (int mode)

## Signals
void | signalResized ()
void | spotPositionChangedFromOriginal (const Digikam::DColor &color, const QPoint &position)
void | spotPositionChangedFromTarget (const Digikam::DColor &color, const QPoint &position)

## Public Member Functions
| ImageGuideWidget (QWidget *const parent=nullptr, bool spotVisible=true, int guideMode=PickColorMode, const QColor &guideColor=Qt::red, int guideSize=1, bool blink=false, ImageIface::PreviewType type=ImageIface::FullImage)
void | exposureSettingsChanged ()
QImage | getMask () const
DColor | getSpotColor (int getColorFrom) const
QPoint | getSpotPosition () const
void | ICCSettingsChanged ()
ImageIface * | imageIface () const
bool | isBusy () const
int | previewMode () const
void | resetPoints ()
void | resetSpotPosition ()
void | setBackgroundColor (const QColor &)
void | setBusy (bool b)
void | setEraseMode (bool erase)
void | setMaskCursor ()
void | setMaskEnabled (bool enabled)
void | setMaskPenSize (int size)
void | setPaintColor (const QColor &color)
void | setPoints (const QPolygon &p, bool drawLine=false)
void | setSpotVisible (bool spotVisible, bool blink=false)
void | setSpotVisibleNoUpdate (bool spotVisible)
void | updatePreview ()

## Protected Member Functions
void | drawLineTo (const QPoint &endPoint)
void | drawLineTo (int width, bool erase, const QColor &color, const QPoint &start, const QPoint &end)
void | drawText (QPainter *const p, const QPoint &corner, const QString &text)
void | enterEvent (QEnterEvent *) override
void | leaveEvent (QEvent *) override
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | resizeEvent (QResizeEvent *) override
void | setSpotPosition (const QPoint &point)
void | timerEvent (QTimerEvent *) override
QPoint | translateItemPosition (const QPoint &point, bool src) const
QPoint | translatePointPosition (const QPoint &point) const
void | updateMaskCursor ()
void | updatePixmap ()
void | updateSpotPosition (int x, int y)